import { buildTx } from "../../../../../helper-func-types";
import { toEncoders, toConverters } from "@interchainjs/cosmos/utils";
import { MsgUpdateParams, MsgModuleQuerySafe } from "./tx";
export const createUpdateParams = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgUpdateParams.typeUrl,
    encoders: toEncoders(MsgUpdateParams),
    converters: toConverters(MsgUpdateParams)
});
export const createModuleQuerySafe = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgModuleQuerySafe.typeUrl,
    encoders: toEncoders(MsgModuleQuerySafe),
    converters: toConverters(MsgModuleQuerySafe)
});
